CustomFeatureHighlightEvent Class

class NXOpen.Features.CustomFeatureHighlightEvent

Bases: NXOpen.Features.CustomFeatureEvent

Represents the event data for highlight callback for custom feature

This class cannot be created

New in version NX12.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
GetConstructionFeatures The custom feature get construction features
GetCustomFeature Get the custom feature of the event
GetHighlightFlag Gets the highlight flag status of highlight event
GetHighlightOnlySuppliedObjectsOption Gets the highlight only supplied objects (objects passed to NXOpen.Features.CustomFeatureHighlightEvent.ObjectsToHighlightUnhighlight()) option of highlight event
GetNXObject Returns the Solid body
GetOutputFeatures The output features created in post update event
GetParasolidId Get the Parasolid tag of Solid body
ObjectsToHighlightUnhighlight Highlights or unhighlights the objects passed in objectsToHighlight depending on the highlightFlag status
SetHighlightOnlySuppliedObjectsOption Sets the highlight only supplied objects (objects passed to NXOpen.Features.CustomFeatureHighlightEvent.ObjectsToHighlightUnhighlight()) option of highlight event

Method Detail

GetHighlightFlag

CustomFeatureHighlightEvent.GetHighlightFlag

Gets the highlight flag status of highlight event

Signature GetHighlightFlag()

Returns:Get Highlight Flag, true = Highlight, false = Unhighlight
Return type:bool

New in version NX12.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetHighlightOnlySuppliedObjectsOption

CustomFeatureHighlightEvent.GetHighlightOnlySuppliedObjectsOption

Gets the highlight only supplied objects (objects passed to NXOpen.Features.CustomFeatureHighlightEvent.ObjectsToHighlightUnhighlight()) option of highlight event

Signature GetHighlightOnlySuppliedObjectsOption()

Returns:Get Highlight Only Objects Option
Return type:bool

New in version NX12.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ObjectsToHighlightUnhighlight

CustomFeatureHighlightEvent.ObjectsToHighlightUnhighlight

Highlights or unhighlights the objects passed in objectsToHighlight depending on the highlightFlag status

Signature ObjectsToHighlightUnhighlight(objectsToHighlight)

Parameters:objectsToHighlight (list of NXOpen.DisplayableObject) –

New in version NX12.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetHighlightOnlySuppliedObjectsOption

CustomFeatureHighlightEvent.SetHighlightOnlySuppliedObjectsOption

Sets the highlight only supplied objects (objects passed to NXOpen.Features.CustomFeatureHighlightEvent.ObjectsToHighlightUnhighlight()) option of highlight event

Signature SetHighlightOnlySuppliedObjectsOption(highlightOption)

Parameters:highlightOption (bool) – Set Highlight Only Objects Option

New in version NX12.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)